#pragma once

#include <QObject>
#include <includes.h>

const auto INIT_MSG = R"({"msg": "init"})"_json;

class NetworkThread : public QObject
{
    Q_OBJECT
private:
    // add your variables here
public:
    explicit NetworkThread(QObject *parent = nullptr);
public slots:
    void process();
signals:
    void finished();
    void error(QString err);
    void httpMessage(json data);
};
